

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.15.2. cast_loose &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.15.3. edit_distance" href="edit_distance.html" />
    <link rel="prev" title="7.15.1. between" href="between.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/functions/cast_loose.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="edit_distance.html" title="7.15.3. edit_distance"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="between.html" title="7.15.1. between"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" accesskey="U"><span class="section-number">7.15. </span>Function</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.2. </span><code class="docutils literal notranslate"><span class="pre">cast_loose</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="cast-loose">
<h1><span class="section-number">7.15.2. </span><code class="docutils literal notranslate"><span class="pre">cast_loose</span></code><a class="headerlink" href="#cast-loose" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.15.2.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">New in version 8.0.8.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">cast_loose</span></code> cast loosely a string to the type specified.
If the target string can cast, <code class="docutils literal notranslate"><span class="pre">cast_loose</span></code> has cast the string to the type specified by the argument.
If the target string can’t cast, <code class="docutils literal notranslate"><span class="pre">cast_loose</span></code> set the default value specified by the argument.</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.15.2.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">cast_loose</span></code> has three parameters:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>cast_loose(type, value, defaul_value)
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">type</span></code> : Specify the type of after casted value.</p>
<p><code class="docutils literal notranslate"><span class="pre">value</span></code> : Specify the target of a cast.</p>
<p><code class="docutils literal notranslate"><span class="pre">default_value</span></code> : Speficy the value of setting when failed a cast.</p>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.15.2.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>Here are a schema definition and sample data to show usage.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Data TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
load --table Data
[
{&quot;_key&quot;: &quot;100abc&quot;}
{&quot;_key&quot;: &quot;100&quot;}
]
# [[0, 1337566253.89858, 0.000355720520019531], 2]
</pre></div>
</div>
<p>The following example is cast “100” and “100abc” with <code class="docutils literal notranslate"><span class="pre">cast_loose</span></code>.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>select Data   --output_columns &#39;_key, cast_loose(Int64, _key, 10)&#39;
# [
#   [
#     0,
#     0.0,
#     0.0
#   ],
#   [
#     [
#       [
#         2
#       ],
#       [
#         [
#           &quot;_key&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;cast_loose&quot;,
#           null
#         ]
#       ],
#       [
#         &quot;100abc&quot;,
#         10
#       ]
#       [
#         &quot;100&quot;,
#         100
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">cast_loose</span></code> cast “100” to 100 and “100abc” to 10.
Because “100” can cast to the Int64 and “100abc” can’t cast to the Int64.</p>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.15.2.4. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">cast_loose</span></code> returns the casted value or default value.</p>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.15.2.5. </span>See also<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="../commands/select.html"><span class="doc">select</span></a></p></li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.15.2. <code class="docutils literal notranslate"><span class="pre">cast_loose</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.15.2.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.15.2.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.15.2.3. Usage</a></li>
<li><a class="reference internal" href="#return-value">7.15.2.4. Return value</a></li>
<li><a class="reference internal" href="#see-also">7.15.2.5. See also</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="between.html"
                        title="previous chapter"><span class="section-number">7.15.1. </span><code class="docutils literal notranslate"><span class="pre">between</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="edit_distance.html"
                        title="next chapter"><span class="section-number">7.15.3. </span>edit_distance</a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="edit_distance.html" title="7.15.3. edit_distance"
             >next</a> |</li>
        <li class="right" >
          <a href="between.html" title="7.15.1. between"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" ><span class="section-number">7.15. </span>Function</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.2. </span><code class="docutils literal notranslate"><span class="pre">cast_loose</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>